wheelParticle = {};

function wheelParticle.prerequisitesPresent(specializations)
    return true;
end;

function wheelParticle:load(xmlFile)

	self.wheelParticleSystems = {};
    local psFile = getXMLString(xmlFile, "vehicle.wheelParticleSystems#file");
    if psFile ~= nil then
        local i=0;
        while true do
            local baseName = string.format("vehicle.wheelParticleSystems.wheelParticleSystem(%d)", i);
            local node = getXMLString(xmlFile, baseName.. "#node");
            if node == nil then
                break;
            end;
            node = Utils.indexToObject(self.components, node);
			self.wheelParticleSystems.node = node;
            if node ~= nil then
                local wheelParticleSystem = {};
                wheelParticleSystem.particleSystems = {};
                Utils.loadParticleSystem(xmlFile, wheelParticleSystem.particleSystems, "vehicle.wheelParticleSystems", node, false, nil, self.baseDirectory);
                table.insert(self.wheelParticleSystems, wheelParticleSystem);
            end;
            i = i+1;
        end;
    end;
end;

function wheelParticle:delete()
	for i=1, table.getn(self.wheelParticleSystems) do
		Utils.deleteParticleSystem(self.wheelParticleSystems[i].particleSystems);
    end;
end;

function wheelParticle:mouseEvent(posX, posY, isDown, isUp, button)
end;

function wheelParticle:keyEvent(unicode, sym, modifier, isDown)
end;

function wheelParticle:update(dt)
	

	  	if InputBinding.hasEvent(InputBinding.LOWER_IMPLEMENT) then
		self.rotateKlappe = not self.rotateKlappe;
	end;

	if self.lastSpeed*3600 > 13 then
		for i=1, table.getn(self.wheelParticleSystems) do
			Utils.setEmittingState(self.wheelParticleSystems[i].particleSystems, true);
		end;
	else
		for i=1, table.getn(self.wheelParticleSystems) do
			Utils.setEmittingState(self.wheelParticleSystems[i].particleSystems, false);
		end;
	end;
	
end;

function wheelParticle:draw()
end;